Subject: Re: bug#55811: 29.0.50; No flymake diagnostics for no-byte-compile files

From: Ship Mints <[email-masked]>
Date: Thu, 23 Jan 2025 13:10:55 -0500

Anyone want to give this a try (especially someone with commit rights)?
It's a simple enough change to make it into Emacs 30.1 or .2, too.

On Tue, Jan 21, 2025 at 8:16 PM Ship Mints <[email-masked]> wrote:

> Sorry I wasn't clear. Joao's suggestion will not work.
>
> elisp-flymake--batch-compile-for-flymake invokes byte-compile-file in a
> subprocess which loads the input file into a fresh buffer with reset buffer
> locals, negating the parent-process call-site patch's intention.
>
> Disabling no-byte-compile has to happen in
> elisp-flymake--batch-compile-for-flymake to influence byte-compile-file.
> I've used a new defvar to let bind in the spirit
> of bytecomp--inhibit-lexical-cookie-warning.
>
> I've attached a patch that works for me, along with an appropriate commit
> log message.
>
> -Stephane
>
> On Tue, Jan 21, 2025 at 5:07 PM Stefan Monnier <[email-masked]>
> wrote:
>
>> > Would be great to adopt the simple flymake change in master,
>>
>> Do I understand correctly that you tried it and it worked for you?
>>
>>
>>         Stefan
>>
>>